Bug 1271040 - [abrt] WARNING: CPU: 1 PID: 2949 at fs/btrfs/super.c:260 __btrfs_abort_transaction+0x54/0x130 [btrfs]() [btrfs] [NEEDINFO]
[abrt] WARNING: CPU: 1 PID: 2949 at fs/btrfs/super.c:260 __btrfs_abort_transa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f8ca1b25e69c08f785bec45a983...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 22:39 EDT by Xinya Zhang
Modified: 2015-11-23 12:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:16:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (67.60 KB, text/plain)
2015-10-12 22:39 EDT, Xinya Zhang
no flags Details

  None (edit)
Description Xinya Zhang 2015-10-12 22:39:05 EDT
Description of problem:
It crashed on boot, and suddenly the system freezed at the login screen.
I don't have any idea to reproduce it since at that time the encrypted btrfs partition should hasn't been mounted.

Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 1 PID: 2949 at fs/btrfs/super.c:260 __btrfs_abort_transaction+0x54/0x130 [btrfs]()
BTRFS: Transaction aborted (error -5)
Modules linked in: btrfs xor raid6_pq dm_crypt bnep bluetooth rfkill fuse xt_multiport xt_CHECKSUM iptable_mangle xt_conntrack bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iscsi_tcp libiscsi_tcp libiscsi tun scsi_transport_iscsi ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack vfat fat intel_rapl iosf_mbi x86_pkg_temp_thermal snd_usb_audio kvm_intel iTCO_wdt iTCO_vendor_support kvm snd_usbmidi_lib snd_rawmidi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_controller crct10dif_pclmul snd_hda_codec crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_core snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm lpc_ich mfd_core snd_timer i2c_i801 video soc_button_array snd
 mei_me mei shpchp soundcore nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace sunrpc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper e1000e ttm drm serio_raw ptp pps_core i2c_dev [last unloaded: coretemp]
CPU: 1 PID: 2949 Comm: umount Not tainted 4.1.10-200.fc22.x86_64 #1
Hardware name: Dell Inc. OptiPlex 9020/0PC5F7, BIOS A00 04/03/2013
 0000000000000000 000000006908b0e3 ffff8804f474f8b8 ffffffff8179a79d
 0000000000000000 ffff8804f474f910 ffff8804f474f8f8 ffffffff810a16aa
 ffff880505f66ca0 ffff8804b48a8000 00000000fffffffb ffff88052310a800
Call Trace:
 [<ffffffff8179a79d>] dump_stack+0x45/0x57
 [<ffffffff810a16aa>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a1735>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0798a14>] __btrfs_abort_transaction+0x54/0x130 [btrfs]
 [<ffffffffa07ad877>] __btrfs_free_extent+0x4a7/0xc80 [btrfs]
 [<ffffffff8110b0b8>] ? add_timer+0x18/0x30
 [<ffffffffa08180f9>] ? btrfs_merge_delayed_refs+0x3a9/0x480 [btrfs]
 [<ffffffffa07b2a37>] __btrfs_run_delayed_refs+0x9c7/0x1270 [btrfs]
 [<ffffffffa07c04de>] ? btree_set_page_dirty+0xe/0x10 [btrfs]
 [<ffffffff811b7fe1>] ? set_page_dirty+0x41/0x90
 [<ffffffffa07ed5d1>] ? set_extent_buffer_dirty+0x81/0xe0 [btrfs]
 [<ffffffffa07b76be>] btrfs_run_delayed_refs.part.68+0x6e/0x280 [btrfs]
 [<ffffffffa079e936>] ? btrfs_cow_block+0x116/0x1d0 [btrfs]
 [<ffffffffa07b78e5>] btrfs_run_delayed_refs+0x15/0x30 [btrfs]
 [<ffffffffa08458cb>] commit_cowonly_roots+0x8b/0x2a6 [btrfs]
 [<ffffffffa07b7872>] ? btrfs_run_delayed_refs.part.68+0x222/0x280 [btrfs]
 [<ffffffffa082b956>] ? btrfs_scrub_pause+0xf6/0x120 [btrfs]
 [<ffffffffa07c9244>] btrfs_commit_transaction+0x604/0xab0 [btrfs]
 [<ffffffffa07c2f93>] btrfs_commit_super+0x93/0xa0 [btrfs]
 [<ffffffffa07c4b58>] close_ctree+0x2b8/0x370 [btrfs]
 [<ffffffff812491d0>] ? evict_inodes+0xd0/0x150
 [<ffffffffa0793f99>] btrfs_put_super+0x19/0x20 [btrfs]
 [<ffffffff8122d436>] generic_shutdown_super+0x76/0x100
 [<ffffffff8122d746>] kill_anon_super+0x16/0x30
 [<ffffffffa0794fe8>] btrfs_kill_super+0x18/0x120 [btrfs]
 [<ffffffff8122db39>] deactivate_locked_super+0x49/0x80
 [<ffffffff8122dfac>] deactivate_super+0x6c/0x80
 [<ffffffff8124cbf3>] cleanup_mnt+0x43/0xa0
 [<ffffffff811474e6>] ? __audit_syscall_exit+0x1f6/0x290
 [<ffffffff8124cca2>] __cleanup_mnt+0x12/0x20
 [<ffffffff810bf044>] task_work_run+0xc4/0xe0
 [<ffffffff81014cdd>] do_notify_resume+0x9d/0xa0
 [<ffffffff817a0f3c>] int_signal+0x12/0x17

Potential duplicate: bug 1170876
Comment 1 Xinya Zhang 2015-10-12 22:39:09 EDT
Created attachment 1082208 [details]
File: dmesg
Comment 2 Justin M. Forbes 2015-10-20 15:28:28 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-11-23 12:16:20 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.